commit 61f4509151420fcca2d92e1a382c066c2fd608a6
Author: Jason Merrill <jason@redhat.com>
Date:   Tue Aug 27 13:16:47 2024 -0400

    libstdc++: fix testcase regexp
    
    The unescaped * broke the match.
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/20_util/default_delete/void_neg.cc: Fix regexp quoting.
    
    (cherry picked from commit 7bd2a2f9e3ef9f7de4c2f478241f7083cc54d7d3)

diff --git a/libstdc++-v3/testsuite/20_util/default_delete/void_neg.cc b/libstdc++-v3/testsuite/20_util/default_delete/void_neg.cc
index 709cc915fd5..ceb03a9e89e 100644
--- a/libstdc++-v3/testsuite/20_util/default_delete/void_neg.cc
+++ b/libstdc++-v3/testsuite/20_util/default_delete/void_neg.cc
@@ -29,4 +29,4 @@ void test01()
 }
 
 // { dg-prune-output "invalid application of 'sizeof' to a void type" }
-// { dg-prune-output "deleting 'void*' is undefined" }
+// { dg-prune-output {deleting 'void\*' is undefined} }

